Bug 8762 - Please recover the fontset order in XLC_LOCALE for UTF-8 locale
Summary: Please recover the fontset order in XLC_LOCALE for UTF-8 locale
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords: l10n
Depends on:
Blocks:
 
Reported: 2006-10-25 06:06 UTC by Tetralet
Modified: 2011-10-02 12:59 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tetralet 2006-10-25 06:06:49 UTC
Please take a look at http://bugzilla.xfree86.org/show_bug.cgi?id=544 and
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=296719.

Since there are a lot of free almost-full supported ISO10646 fonts in Linux,
like unifont, xfonts-efont-unicode and xfonts-wqy.
(You may find them in Debian)
So I think that all of XLC_LOCALE for UTF-8 should be prior to use ISO-10646
earlier than ISO8859-1.
Please consider to recover it. Thanks.
Comment 1 Tetralet 2006-10-26 05:56:27 UTC
AFAIK, at least ja_JP.UTF-8 and zh_TW.UTF-8 are broken.
Comment 2 Daniel Stone 2007-02-27 01:34:10 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 3 Jeremy Huddleston Sequoia 2011-10-02 12:59:37 UTC
Downstream closed this as fixed, so I'm assuming it is fixed here.  Please 
reopen if this is still an issue.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.